// bitbazaar/utils/genPath.ts
var genPath = (path_in, {
  sShlash = void 0,
  // If isn't a root url (e.g. starting with http), or a relative path, then will default to true, otherwise false
  eSlash = void 0,
  // NOTE! defaults to true if dir, false if file
  extra = void 0
  // Extra sections to add to the end of the path, the sSlash/eSlash applies after this has been added:
} = {}) => {
  let path = path_in.trim();
  if (extra) {
    extra = extra.map((e) => e.trim());
  }
  if (extra) {
    if (!path.endsWith("/")) {
      path = `${path}/`;
    }
    extra.forEach((e) => {
      path = `${path}${e}/`;
    });
  }
  if (sShlash === void 0) {
    sShlash = !path.startsWith("http") && !path.startsWith(".");
  }
  if (eSlash === void 0) {
    const tmpPath = path.endsWith("/") ? path.slice(0, -1) : path;
    const isFile = tmpPath.split("/").pop()?.includes(".");
    eSlash = !isFile;
  }
  if (sShlash && !path.startsWith("/")) {
    path = `/${path}`;
  } else if (!sShlash && path.startsWith("/")) {
    path = path.slice(1);
  }
  if (eSlash && !path.endsWith("/")) {
    path = `${path}/`;
  } else if (!eSlash && path.endsWith("/")) {
    path = path.slice(0, -1);
  }
  return path;
};

export {
  genPath
};
