"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// bitbazaar/color/index.ts
var color_exports = {};
__export(color_exports, {
  createSteppedScale: () => createSteppedScale
});
module.exports = __toCommonJS(color_exports);

// bitbazaar/color/steppedScale.ts
var createSteppedScale = ({
  chroma,
  color,
  numberOfSteps
}) => {
  const baseHex = chroma(color).hex().toLowerCase();
  const whiteHex = chroma("white").hex().toLowerCase();
  const blackHex = chroma("black").hex().toLowerCase();
  if (baseHex === whiteHex || baseHex === blackHex) {
    return Array(numberOfSteps).fill(baseHex);
  }
  const baseNum = Math.ceil(numberOfSteps / 2);
  const steps = [];
  const numAttempts = 5;
  for (let attempt = 1; attempt <= numAttempts; attempt++) {
    steps.length = 0;
    const stepSize = 0.5 * (1 / attempt);
    let failed = false;
    for (let i = 1; i <= numberOfSteps; i++) {
      let derivCol;
      if (i < baseNum) {
        derivCol = chroma(color).darken((baseNum - i) * stepSize).hex();
      } else if (i === baseNum) {
        derivCol = baseHex;
      } else {
        derivCol = chroma(color).brighten((i - baseNum) * stepSize).hex();
      }
      if (derivCol === whiteHex || derivCol === blackHex) {
        failed = true;
      }
      steps.push(derivCol);
    }
    if (!failed) {
      break;
    }
  }
  return steps;
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createSteppedScale
});
