import { ChromaStatic, Color } from 'chroma-js';

interface SteppedScaleProps {
    /** Chroma instance to use, allows using a modified version to reduce bundle size downstream if needed. */
    chroma: ChromaStatic;
    /** The color to create a scale around. Expects a hex or similar that chroma can receive. */
    color: string | number | Color;
    /** The number of steps to create. Including the base color entered. */
    numberOfSteps: number;
}
/** Creates a scale around an input color with the requested number of steps.
 * E.g. 5 steps requested, it will go: darker1, darker2, input, lighter1, lighter2.
 */
declare const createSteppedScale: ({ chroma, color, numberOfSteps, }: SteppedScaleProps) => string[];

export { createSteppedScale };
