import "../chunk-XEO3YXBM.js";

// bitbazaar/color/steppedScale.ts
var createSteppedScale = ({
  chroma,
  color,
  numberOfSteps
}) => {
  const baseHex = chroma(color).hex().toLowerCase();
  const whiteHex = chroma("white").hex().toLowerCase();
  const blackHex = chroma("black").hex().toLowerCase();
  if (baseHex === whiteHex || baseHex === blackHex) {
    return Array(numberOfSteps).fill(baseHex);
  }
  const baseNum = Math.ceil(numberOfSteps / 2);
  const steps = [];
  const numAttempts = 5;
  for (let attempt = 1; attempt <= numAttempts; attempt++) {
    steps.length = 0;
    const stepSize = 0.5 * (1 / attempt);
    let failed = false;
    for (let i = 1; i <= numberOfSteps; i++) {
      let derivCol;
      if (i < baseNum) {
        derivCol = chroma(color).darken((baseNum - i) * stepSize).hex();
      } else if (i === baseNum) {
        derivCol = baseHex;
      } else {
        derivCol = chroma(color).brighten((i - baseNum) * stepSize).hex();
      }
      if (derivCol === whiteHex || derivCol === blackHex) {
        failed = true;
      }
      steps.push(derivCol);
    }
    if (!failed) {
      break;
    }
  }
  return steps;
};
export {
  createSteppedScale
};
