"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// bitbazaar/utils/index.ts
var utils_exports = {};
__export(utils_exports, {
  add: () => add,
  areTestsRunning: () => areTestsRunning,
  assertNever: () => assertNever,
  genPath: () => genPath
});
module.exports = __toCommonJS(utils_exports);

// bitbazaar/utils/add.ts
var add = (a, b) => {
  return a + b;
};

// bitbazaar/utils/genPath.ts
var genPath = (path_in, {
  sShlash = void 0,
  // If isn't a root url (e.g. starting with http), or a relative path, then will default to true, otherwise false
  eSlash = void 0,
  // NOTE! defaults to true if dir, false if file
  extra = void 0
  // Extra sections to add to the end of the path, the sSlash/eSlash applies after this has been added:
} = {}) => {
  let path = path_in.trim();
  if (extra) {
    extra = extra.map((e) => e.trim());
  }
  if (extra) {
    if (!path.endsWith("/")) {
      path = `${path}/`;
    }
    extra.forEach((e) => {
      path = `${path}${e}/`;
    });
  }
  if (sShlash === void 0) {
    sShlash = !path.startsWith("http") && !path.startsWith(".");
  }
  if (eSlash === void 0) {
    const tmpPath = path.endsWith("/") ? path.slice(0, -1) : path;
    const isFile = tmpPath.split("/").pop()?.includes(".");
    eSlash = !isFile;
  }
  if (sShlash && !path.startsWith("/")) {
    path = `/${path}`;
  } else if (!sShlash && path.startsWith("/")) {
    path = path.slice(1);
  }
  if (eSlash && !path.endsWith("/")) {
    path = `${path}/`;
  } else if (!eSlash && path.endsWith("/")) {
    path = path.slice(0, -1);
  }
  return path;
};

// bitbazaar/utils/index.ts
var areTestsRunning = process.env.NODE_ENV === "test";
var assertNever = (neverVal) => {
  throw new Error(
    // eslint-disable-next-line @typescript-eslint/restrict-template-expressions
    `Internal error. This should never have happened! Invalid neverValue: "${neverVal}".`
  );
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  add,
  areTestsRunning,
  assertNever,
  genPath
});
