declare const add: (a: number, b: number) => number;

/**
 * Helper to make all paths safe, can specify if should start or end with a slash.
 * Works with filepaths and urls, with dynamic defaults depending on what comes in.
 */
declare const genPath: (path_in: string, { sShlash, eSlash, extra, }?: {
    sShlash?: boolean | undefined;
    eSlash?: boolean | undefined;
    extra?: string[] | undefined;
}) => string;

declare const areTestsRunning: boolean;
/** Placed in switch default, enforces compiler to check all cases in a switch are matched and this is never reached: */
declare const assertNever: (neverVal: never) => never;

export { add, areTestsRunning, assertNever, genPath };
